%define kmod_name mpss

%define debug_package %{nil}

%define defaultbuildroot /
AutoProv: no
%undefine __find_provides
AutoReq: no
%undefine __find_requires
# Do not try autogenerate prereq/conflicts/obsoletes and check files
%undefine __check_files
%undefine __find_prereq
%undefine __find_conflicts
%undefine __find_obsoletes
# Be sure buildpolicy set to do nothing
%define __spec_install_post %{nil}
%define _missing_doc_files_terminate_build 0
%define KERNEL_VER 3.10.0-957.el7.x86_64

BuildArch:     x86_64
Name:          mpss-modules
Version:       3.8.5
Release:       2%{?dist}
License:       GPLv2 
Group:         System Environment/Kernel
Summary:       Host driver for Intel® Xeon Phi™ coprocessor cards
URL:           http://www.intel.com
Vendor:        Intel Corporation

Source:        mpss-modules-%{version}.tar.bz2
Patch:         mpss-modules-%{KERNEL_VER}.patch

#Provides:      mpss-modules-%{KERNEL_VER} = %{version}-1
#Provides:      mpss-modules-%{KERNEL_VER}(x86-64) = %{version}-1
Requires:	kmod-mpss = %{version}
Requires:      /bin/sh  
%kernel_module_package -n %{kmod_name}

%description
Provides host driver for Intel® Xeon Phi™ coprocessor cards

%package devel
Summary:		Header and symbol version file for driver development
%description devel
Provides header file for driver development

%prep
%setup -q -c -n %{name}-%{version}/%{name}
%patch -p1
cd ..
for flavor in %flavors_to_build ; do
	cp -a %{name} _kmod_build_${flavor}
done

%build
cd ..
for flavor in %flavors_to_build ; do
	pushd _kmod_build_$flavor
		make KERNEL_SRC=%{kernel_source $flavor} KERNEL_VERSION=%{kverrel}${flavor%default} MIC_CARD_ARCH=k1om DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} sysconfdir=%{_sysconfdir}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
cd ..
for flavor in %flavors_to_build ; do
	pushd _kmod_build_$flavor
		make KERNEL_SRC=%{kernel_source $flavor} KERNEL_VERSION=%{kverrel}${flavor%default} MIC_CARD_ARCH=k1om DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} sysconfdir=%{_sysconfdir} install
		mkdir -p $RPM_BUILD_ROOT/lib/modules/%kverrel${flavor%default}/extra/%{kmod_name}
		mv $RPM_BUILD_ROOT/lib/modules/%kverrel${flavor%default}/extra/*.ko $RPM_BUILD_ROOT/lib/modules/%kverrel${flavor%default}/extra/%{kmod_name}/
	popd
done
find $RPM_BUILD_ROOT/lib -name modules.\* -delete
find $RPM_BUILD_ROOT/lib -name scif.\* -delete
#mkdir -p ${RPM_BUILD_ROOT}/etc/modprobe.d
#mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/modules
#mkdir -p ${RPM_BUILD_ROOT}/etc/udev/rules.d
#mkdir -p ${RPM_BUILD_ROOT}/lib/modules/%{KERNEL_VER}/extra

#cp mic.conf       ${RPM_BUILD_ROOT}/etc/modprobe.d/mic.conf
#cp mic.modules    ${RPM_BUILD_ROOT}/etc/sysconfig/modules/mic.modules
#cp udev-mic.rules ${RPM_BUILD_ROOT}/etc/udev/rules.d/50-udev-mic.rules
#cp mic.ko         ${RPM_BUILD_ROOT}/lib/modules/%{KERNEL_VER}/extra/mic.ko

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%attr(0644, root, root) "%{_sysconfdir}/modprobe.d/mic.conf"
%attr(0755, root, root) "%{_sysconfdir}/sysconfig/modules/mic.modules"
%attr(0644, root, root) "%{_sysconfdir}/udev/rules.d/50-udev-mic.rules"

%files devel
#attr(0644, root, root) "/lib/modules/%{KERNEL_VER}/scif.symvers"
%attr(0644, root, root) "%{_prefix}/src/kernels/*/include/modules/scif.h"

%changelog
* Wed Aug 22 2018 Jan Just Keijser <janjust@nikhef.nl> 3.8.4-2
 - Added mpss-modules-dev package

* Thu Jul 05 2018 Jan Just Keijser <janjust@nikhef.nl> 3.8.4-1
 - Updated to support RHEL/CentOS 7.5 kernel

